Debian Bug report logs - #635974
pu: package win32-loader/0.6.21

version graph

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Didier Raboud <odyx@debian.org>

Date: Fri, 29 Jul 2011 21:57:01 UTC

Severity: important

Tags: confirmed

Fixed in version 6.0.3

Done: Adam D. Barratt <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ftpmaster@debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#635974; Package release.debian.org. (Fri, 29 Jul 2011 21:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <odyx@debian.org>:
New Bug report received and forwarded. Copy sent to ftpmaster@debian.org, Debian Release Team <debian-release@lists.debian.org>. (Fri, 29 Jul 2011 21:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pu: package win32-loader/0.6.21
Date: Fri, 29 Jul 2011 23:54:26 +0200
Package: release.debian.org
Severity: important
User: release.debian.org@packages.debian.org
Usertags: pu

Dear Stable Release Managers, 

As I discussed today with Adam Barratt and Mark Hymers at DC11, I discovered
that the current version of win32-loader as shipped in stable might actually
violate the GPL: both the CD version (as shipped in the win32-loader binary
package) and the "standalone" version (as [wrongly] shipped directly on the
mirrors [0]) ship binary files from:

	- grub-pc (g2ldr, g2ldr.mbr)
	- loadlin (loadlin.exe)
	- cpio-win32 (cpio.exe)
	- gzip-win32 (gzip.exe)

There are two problems with the current state:

a) win32-loader 0.6.21 was uploaded (hence built) on 2010-12-09. At that time,
those packages were in given versions but stable was released with other
versions. The following array tries to demonstrate the problem:

Name    | Version at upload time | Version in stable | Status
-------------------------------------------------------------
grub2   | 1.98+20100804-10       | 1.98+20100804-14  - KO
loadlin | 1.6e-1                 | 1.6e-1            - OK
cpio    | 2.11-5                 | 2.11-4            - KO
gzip    | 1.3.12-9               | 1.3.12-9          - OK

So at least two embedded binaries cannot be rebuilt using sources from stable.

b) #616324: This bug is about a weird archive behaviour, somehow fixed since
then, about the three "suites" being equal binaries. The current problem of
this is that the version shipped in tools/win32-loader/stable/win32-loader.exe
is actually _not_ 0.6.21, but 0.6.22 (you can see this by running it in wine,
which is harmless).

So in order to fix this, my plan is to upload a win32-loader 0.6.21+squeeze0
to stable(-proposed-update) that would include the following changes: 

- add a Built-Using field in the binary package (to track GPL-compliance)
- add the "byhand" code, backported from current unstable (to push the
  standalone version to the archive)
- document versions and pointers to sources in the pool/ directories (to
  enhance documentation)

A proposed source, debdiff and built package is there:

http://alioth.debian.org/~odyx-guest/packages/win32-loader/

What do you think ?

By the way, I will make sure an upload of win32-loader to unstable happens
soon™ with all these changes (I'll have to find a sponsor as I'm at DC11
and my smartcard with my GPG subkey broke).

Cheers, 

OdyX

[0] http://ftp.debian.org/debian/tools/win32-loader/stable/win32-loader.exe

-- System Information:
Debian Release: wheezy/sid
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'unstable'), (500, 'testing'), (500, 'stable'), (150, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_CH.UTF-8, LC_CTYPE=fr_CH.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Added indication that 635974 affects ftpmaster.debian.org and win32-loader Request was from Didier Raboud <odyx@debian.org> to control@bugs.debian.org. (Fri, 29 Jul 2011 22:03:06 GMT) Full text and rfc822 format available.

Added indication that 635974 affects ftp.debian.org Request was from Didier Raboud <odyx@debian.org> to control@bugs.debian.org. (Fri, 29 Jul 2011 22:06:12 GMT) Full text and rfc822 format available.

Removed indication that 635974 affects ftpmaster.debian.org Added indication that 635974 affects ftp.debian.org and win32-loader Request was from Didier Raboud <odyx@debian.org> to control@bugs.debian.org. (Sat, 30 Jul 2011 15:51:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#635974; Package release.debian.org. (Fri, 05 Aug 2011 18:03:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <odyx@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 05 Aug 2011 18:03:20 GMT) Full text and rfc822 format available.

Message #16 received at 635974@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: 635974@bugs.debian.org
Cc: ftpmaster@debian.org
Subject: Re: pu: package win32-loader/0.6.21+squeeze1
Date: Fri, 5 Aug 2011 19:44:53 +0200
[Message part 1 (text/plain, inline)]
Dear release team,

One week ago, Didier Raboud wrote:
> So in order to fix this, my plan is to upload a win32-loader
> 0.6.21+squeeze0 to stable(-proposed-update) that would include the
> following changes:
> 
> - add a Built-Using field in the binary package (to track GPL-compliance)
> - add the "byhand" code, backported from current unstable (to push the
>   standalone version to the archive)
> - document versions and pointers to sources in the pool/ directories (to
>   enhance documentation)

For what is worth, win32-loader 0.7.4 uploaded on thursday includes all those 
changes and its "companion text" is now available on the mirrors:

http://ftp.debian.org/debian/tools/win32-loader/unstable/win32-loader.txt

Cheers,

-- 
OdyX
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#635974; Package release.debian.org. (Fri, 05 Aug 2011 18:39:05 GMT) Full text and rfc822 format available.

Message #19 received at 635974@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Didier Raboud <odyx@debian.org>, 635974@bugs.debian.org
Cc: ftpmaster@debian.org
Subject: Re: Bug#635974: pu: package win32-loader/0.6.21+squeeze1
Date: Fri, 5 Aug 2011 20:34:24 +0200
[Message part 1 (text/plain, inline)]
On Fri, Aug 05, 2011 at 07:44:53PM +0200, Didier Raboud wrote:
> Dear release team,
> 
> One week ago, Didier Raboud wrote:
> > So in order to fix this, my plan is to upload a win32-loader
> > 0.6.21+squeeze0 to stable(-proposed-update) that would include the
> > following changes:
> > 
> > - add a Built-Using field in the binary package (to track GPL-compliance)
> > - add the "byhand" code, backported from current unstable (to push the
> >   standalone version to the archive)
> > - document versions and pointers to sources in the pool/ directories (to
> >   enhance documentation)
> 
> For what is worth, win32-loader 0.7.4 uploaded on thursday includes all those 
> changes and its "companion text" is now available on the mirrors:
> 
> http://ftp.debian.org/debian/tools/win32-loader/unstable/win32-loader.txt

That would be `pool/main', not `main/pool' in the URLs?

Kind regards,
Philipp Kern
-- 
 .''`.  Philipp Kern                        Debian Developer
: :' :  http://philkern.de                         Stable Release Manager
`. `'   xmpp:phil@0x539.de                         Wanna-Build Admin
  `-    finger pkern/key@db.debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#635974; Package release.debian.org. (Sun, 07 Aug 2011 14:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <odyx@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 07 Aug 2011 14:15:07 GMT) Full text and rfc822 format available.

Message #24 received at 635974@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: Philipp Kern <pkern@debian.org>
Cc: 635974@bugs.debian.org, ftpmaster@debian.org
Subject: Re: Bug#635974: pu: package win32-loader/0.6.21+squeeze1
Date: Sun, 7 Aug 2011 16:13:47 +0200
[Message part 1 (text/plain, inline)]
Le vendredi, 5 août 2011 20.34:24, Philipp Kern a écrit :
> On Fri, Aug 05, 2011 at 07:44:53PM +0200, Didier Raboud wrote:
> > Dear release team,
> > 
> > One week ago, Didier Raboud wrote:
> > > So in order to fix this, my plan is to upload a win32-loader
> > > 0.6.21+squeeze0 to stable(-proposed-update) that would include the
> > > following changes:
> > > 
> > > - add a Built-Using field in the binary package (to track
> > > GPL-compliance) - add the "byhand" code, backported from current
> > > unstable (to push the
> > > 
> > >   standalone version to the archive)
> > > 
> > > - document versions and pointers to sources in the pool/ directories
> > > (to
> > > 
> > >   enhance documentation)
> > 
> > For what is worth, win32-loader 0.7.4 uploaded on thursday includes all
> > those changes and its "companion text" is now available on the mirrors:
> > 
> > http://ftp.debian.org/debian/tools/win32-loader/unstable/win32-loader.txt
> 
> That would be `pool/main', not `main/pool' in the URLs?

Good point, thank you. win32-loader 0.7.4.1 fixes that and has been uploaded 
right now.

By the way, what more should I do to get this fixed ?

Cheers,
-- 
OdyX
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#635974; Package release.debian.org. (Wed, 24 Aug 2011 16:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <odyx@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 24 Aug 2011 16:27:07 GMT) Full text and rfc822 format available.

Message #29 received at 635974@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: 635974@bugs.debian.org
Cc: ftpmaster@debian.org
Subject: Re: Bug#635974: pu: package win32-loader/0.6.21+squeeze1
Date: Wed, 24 Aug 2011 18:25:04 +0200
[Message part 1 (text/plain, inline)]
Le dimanche, 7 août 2011 16.13:47, Didier Raboud a écrit :
> By the way, what more should I do to get this fixed ?

After a short chat with Adam over IRC, the suggested next step was "please
send an up-to-date debdiff to the bug". Here it is.

You can also find the "cherry-picks" chain on the win32-loader repository:

http://anonscm.debian.org/gitweb/?p=d-i/win32-loader.git;a=shortlog;h=refs/heads/master-squeeze

Comments ?

Cheers,

OdyX
[win32-loader_0.6.21+squeeze0.debdiff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#635974; Package release.debian.org. (Wed, 24 Aug 2011 19:33:35 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 24 Aug 2011 19:33:35 GMT) Full text and rfc822 format available.

Message #34 received at 635974@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Didier Raboud <odyx@debian.org>, 635974@bugs.debian.org
Cc: ftpmaster@debian.org
Subject: Re: Bug#635974: pu: package win32-loader/0.6.21+squeeze1
Date: Wed, 24 Aug 2011 20:20:23 +0100
On Wed, 2011-08-24 at 18:25 +0200, Didier Raboud wrote:
> Le dimanche, 7 août 2011 16.13:47, Didier Raboud a écrit :
> > By the way, what more should I do to get this fixed ?
> 
> After a short chat with Adam over IRC, the suggested next step was "please
> send an up-to-date debdiff to the bug". Here it is.
> 
> You can also find the "cherry-picks" chain on the win32-loader repository:
> 
> http://anonscm.debian.org/gitweb/?p=d-i/win32-loader.git;a=shortlog;h=refs/heads/master-squeeze

Thanks for this.

> Comments ?

One question for ftp-master, just to make sure I'm reading the
auto-byhand (ick) script correctly...

As far as I can see, once the package is accepted from p-u-NEW the
auto-byhand will automatically
create /tools/win32-loader/stable-proposed-updates/ (as the changelog
contains "stable" as the distribution) and copy each of the byhand files
in to it.  When we come to the point release, we then ask you nicely to
copy them in to /tools/w-l/stable/.  Does that all sound correct?
Anything I missed?

(okay, so that was two questions. meh).

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#635974; Package release.debian.org. (Sat, 24 Sep 2011 16:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 24 Sep 2011 16:51:05 GMT) Full text and rfc822 format available.

Message #39 received at 635974@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: ftpmaster@ftp-master.debian.org
Cc: Didier Raboud <odyx@debian.org>, 635974@bugs.debian.org
Subject: Re: Bug#635974: pu: package win32-loader/0.6.21+squeeze1
Date: Sat, 24 Sep 2011 17:49:22 +0100
[ftp-master - please could you confirm the below?]


On Wed, 2011-08-24 at 20:20 +0100, Adam D. Barratt wrote:
> One question for ftp-master, just to make sure I'm reading the
> auto-byhand (ick) script correctly...
> 
> As far as I can see, once the package is accepted from p-u-NEW the
> auto-byhand will automatically
> create /tools/win32-loader/stable-proposed-updates/ (as the changelog
> contains "stable" as the distribution) and copy each of the byhand files
> in to it.  When we come to the point release, we then ask you nicely to
> copy them in to /tools/w-l/stable/.  Does that all sound correct?
> Anything I missed?
> 
> (okay, so that was two questions. meh).
> 
> Regards,
> 
> Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#635974; Package release.debian.org. (Wed, 28 Sep 2011 11:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 28 Sep 2011 11:15:03 GMT) Full text and rfc822 format available.

Message #44 received at 635974@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Didier Raboud <odyx@debian.org>, 635974@bugs.debian.org
Cc: ftpmaster@debian.org
Subject: Re: Bug#635974: pu: package win32-loader/0.6.21+squeeze1
Date: Wed, 28 Sep 2011 12:12:07 +0100
tag 635974 + cofnirmed
thanks

On Wed, 2011-08-24 at 18:25 +0200, Didier Raboud wrote:
> Le dimanche, 7 août 2011 16.13:47, Didier Raboud a écrit :
> > By the way, what more should I do to get this fixed ?
> 
> After a short chat with Adam over IRC, the suggested next step was "please
> send an up-to-date debdiff to the bug". Here it is.
> 
> You can also find the "cherry-picks" chain on the win32-loader repository:
> 
> http://anonscm.debian.org/gitweb/?p=d-i/win32-loader.git;a=shortlog;h=refs/heads/master-squeeze

Please go ahead, and sorry for the delays.

Regards,

Adam





Added tag(s) confirmed. Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Wed, 28 Sep 2011 11:18:27 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#635974; Package release.debian.org. (Wed, 28 Sep 2011 12:48:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <odyx@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 28 Sep 2011 12:48:25 GMT) Full text and rfc822 format available.

Message #51 received at 635974@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 635974@bugs.debian.org
Subject: Re: Bug#635974: pu: package win32-loader/0.6.21+squeeze1
Date: Wed, 28 Sep 2011 14:30:55 +0200
[Message part 1 (text/plain, inline)]
Le mercredi, 28 septembre 2011 13.12:07, Adam D. Barratt a écrit :
> Please go ahead, and sorry for the delays.

This got uploaded to ftp-master right now.

Thanks for your consideration and time!

Cheers,
-- 
OdyX
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Wed, 28 Sep 2011 21:27:16 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 6.0.3, send any further explanations to Didier Raboud <odyx@debian.org> Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 08 Oct 2011 16:57:32 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 06 Nov 2011 07:39:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 12:39:40 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.